Skip to content

GlTable⁠

Perform various operations for Symitar parameters.

Operations⁠

getGlTableSelectFields⁠

POST

Execute the persistent ParameterService getGlTableSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlTableGlTableTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getGlTableSelectFields
POST /nexum/627/persistent/parameter/getGlTableSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "GlTableGlTableType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllGlTableFields": true,
    "GlTableFields": {
      "Amount": [
        0
      ],
      "Description": true,
      "GlAccount": [
        0
      ],
      "GlTableType": true,
      "Negative": [
        0
      ],
      "Percent": [
        0
      ],
      "UsageCode": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getGlTablePagedListSelectFields⁠

POST

Execute the persistent ParameterService getGlTablePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getGlTablePagedListSelectFields
POST /nexum/627/persistent/parameter/getGlTablePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlTableFields": true,
    "GlTableFields": {
      "Amount": [
        0
      ],
      "Description": true,
      "GlAccount": [
        0
      ],
      "GlTableType": true,
      "Negative": [
        0
      ],
      "Percent": [
        0
      ],
      "UsageCode": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchGlTablePagedSelectFields⁠

POST

Execute the persistent ParameterService searchGlTablePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchGlTablePagedSelectFields
POST /nexum/627/persistent/parameter/searchGlTablePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllGlTableFields": true,
    "GlTableFields": {
      "Amount": [
        0
      ],
      "Description": true,
      "GlAccount": [
        0
      ],
      "GlTableType": true,
      "Negative": [
        0
      ],
      "Percent": [
        0
      ],
      "UsageCode": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateGlTableByID⁠

POST

Execute the persistent ParameterService updateGlTableByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlTableGlTableTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateGlTableByID
POST /nexum/627/persistent/parameter/updateGlTableByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "GlTableGlTableType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "GlTableFields": {
    "Amount": [
      {
        "EntryId": 0,
        "Amount": 0
      }
    ],
    "Description": "string",
    "GlAccount": [
      {
        "EntryId": 0,
        "GlAccount": "string"
      }
    ],
    "GlTableType": 0,
    "Negative": [
      {
        "EntryId": 0,
        "Negative": 0
      }
    ],
    "Percent": [
      {
        "EntryId": 0,
        "Percent": 0
      }
    ],
    "UsageCode": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}